cifti::BinaryFile Class Reference

## Classes

class | ImplInterface

## Public Types

enum | OpenMode { NONE = 0 , READ = 1 , WRITE = 2 , READ_WRITE = 3 , TRUNCATE = 4 , WRITE_TRUNCATE = 6 , READ_WRITE_TRUNCATE = 7 }

## Public Member Functions

| BinaryFile (const AString &filename, const OpenMode &fileMode=READ)
| constructor that opens file
void | open (const AString &filename, const OpenMode &opmode=READ)
void | close ()
AString | getFilename () const
bool | getOpenForRead ()
bool | getOpenForWrite ()
void | seek (const int64_t &position)
int64_t | pos ()
void | read (void *dataOut, const int64_t &count, int64_t *numRead=NULL)
void | write (const void *dataIn, const int64_t &count)
int64_t | size ()

The documentation for this class was generated from the following files:

- BinaryFile.h
- BinaryFile.cxx